Subject: x11-org-devel: 'XtStrings' can't be auto-imported
From: Jan Nieuwenhuizen <[email-masked]>
To: [email-masked]
Date: Sun, 26 Sep 2004 23:10:07 +0200

Before rebuilding tetex to fix some bugs Volker reported I upgraded my
compilation environment to x11-org-devel, but I get lots of linkage
problems (also for variables from Shell.h, etc.)

These can be avoided by setting -DXTSTRINGDEFINES=1, which seems to
work, but I guess the real problem is with the new X11 packages?

Greetings.
Jan.

i686-cygwin-gcc -o mfw.exe -lm mfini.o mf0.o mf1.o mf2.o mfextra.o window/window.a -L/cygwin/usr/X11R6/lib -lXt -lSM -lICE -lXext -lX11 -L/cygwin/usr/X11R6/lib lib/lib.a -L../kpathsea/SHARED -lkpathsea -L/cygwin/usr/X11R6/lib -lICE -lSM -lXpm -lX11
window/window.a(x11.o)(.text+0x16a): In function `mf_x11_initscreen':
/netrel/build/tetex-bin-2.0.2-15/texk/web2c/window/x11.c:134: variable 'XtStrings' can't be auto-imported. Please read the documentation for ld's --enable-auto-import for details.
window/window.a(x11.o)(.text+0x191):/netrel/build/tetex-bin-2.0.2-15/texk/web2c/window/x11.c:136: variable 'XtStrings' can't be auto-imported. Please read the documentation for ld's --enable-auto-import for details.
window/window.a(x11.o)(.data+0x10):x11.c: variable 'XtStrings' can't be auto-imported. Please read the documentation for ld's --enable-auto-import for details.
window/window.a(x11.o)(.data+0x1c):x11.c: variable 'XtStrings' can't be auto-imported. Please read the documentation for ld's --enable-auto-import for details.
window/window.a(x11.o)(.data+0x2c):x11.c: variable 'XtStrings' can't be auto-imported. Please read the documentation for ld's --enable-auto-import for details.
window/window.a(x11.o)(.data+0x38):x11.c: variable 'XtStrings' can't be auto-imported. Please read the documentation for ld's --enable-auto-import for details.
window/window.a(x11.o)(.data+0x48):x11.c: variable 'XtStrings' can't be auto-imported. Please read the documentation for ld's --enable-auto-import for details.
window/window.a(x11.o)(.data+0x54):x11.c: variable 'XtStrings' can't be auto-imported. Please read the documentation for ld's --enable-auto-import for details.
window/window.a(x11.o)(.data+0x64):x11.c: variable 'XtStrings' can't be auto-imported. Please read the documentation for ld's --enable-auto-import for details.
window/window.a(x11.o)(.data+0x70):x11.c: variable 'XtStrings' can't be auto-imported. Please read the documentation for ld's --enable-auto-import for details.
Info: resolving _XtStrings by linking to __imp__XtStrings (auto-import)
Info: resolving _widgetClass by linking to __imp__widgetClass (auto-import)
collect2: ld returned 1 exit status
make[2]: *** [mfw] Fout 1
make[2]: Leaving directory `/var/fred/cvs/cygwin/cygwin-apps/mknetrel/build/tetex-bin-2.0.2-15/texk/web2c'
make[1]: *** [all] Fout 1
make[1]: Leaving directory `/var/fred/cvs/cygwin/cygwin-apps/mknetrel/build/tetex-bin-2.0.2-15/texk'
make: *** [all] Fout 1
+ exit 1

-- 
Jan Nieuwenhuizen <[email-masked]> | GNU LilyPond - The music typesetter
http://www.xs4all.nl/~jantien       | http://www.lilypond.org

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/